//  ************************************************************************************************
//
//  BornAgain: simulate and fit reflection and scattering
//
//! @file      GUI/Model/Project/ID.h
//! @brief     Defines shared enums.
//!
//! @homepage  http://www.bornagainproject.org
//! @license   GNU General Public License v3 or higher (see COPYING)
//! @copyright Forschungszentrum Jülich GmbH 2023
//! @authors   Scientific Computing Group at MLZ (see CITATION, AUTHORS)
//
//  ************************************************************************************************

#ifndef BORNAGAIN_GUI_MODEL_PROJECT_ID_H
#define BORNAGAIN_GUI_MODEL_PROJECT_ID_H

namespace GUI {

//! Which distributions should be available in the selector
enum class DistributionsCategory { All, Symmetric };

} // namespace GUI

namespace GUI::ID {

//! Enumerates views of the main window
enum ViewId { Datafile, Instrument, Sample, Simulation, Job };

} // namespace GUI::ID

#endif // BORNAGAIN_GUI_MODEL_PROJECT_ID_H
