//  ************************************************************************************************
//
//  BornAgain: simulate and fit reflection and scattering
//
//! @file      GUI/View/Frame/Plot1DFrame.h
//! @brief     Defines class Plot1DFrame.
//!
//! @homepage  http://www.bornagainproject.org
//! @license   GNU General Public License v3 or higher (see COPYING)
//! @copyright Forschungszentrum Jülich GmbH 2018
//! @authors   Scientific Computing Group at MLZ (see CITATION, AUTHORS)
//
//  ************************************************************************************************

#ifndef BORNAGAIN_GUI_VIEW_FRAME_PLOT1DFRAME_H
#define BORNAGAIN_GUI_VIEW_FRAME_PLOT1DFRAME_H

#include <QWidget>

class Data1DItem;
class DataSource;
class SpecularDataCanvas;

class Plot1DFrame : public QWidget {
public:
    Plot1DFrame();

private:
    SpecularDataCanvas* m_specular_canvas;
    std::unique_ptr<DataSource> m_data_source;
};

#endif // BORNAGAIN_GUI_VIEW_FRAME_PLOT1DFRAME_H
