//  ************************************************************************************************
//
//  BornAgain: simulate and fit reflection and scattering
//
//! @file      GUI/View/Loader/ComponentRW.h
//! @brief     Defines functions in namespace RW
//!
//! @homepage  http://www.bornagainproject.org
//! @license   GNU General Public License v3 or higher (see COPYING)
//! @copyright Forschungszentrum Jülich GmbH 2018
//! @authors   Scientific Computing Group at MLZ (see CITATION, AUTHORS)
//
//  ************************************************************************************************

#ifndef BORNAGAIN_GUI_VIEW_LOADER_COMPONENTRW_H
#define BORNAGAIN_GUI_VIEW_LOADER_COMPONENTRW_H

#include <QString>

namespace RW {

template <class T> void saveComponentToXML(const QString& type, const T* t);
template <class T> T* loadComponentFromXML(const QString& type);

} // namespace RW

#endif // BORNAGAIN_GUI_VIEW_LOADER_COMPONENTRW_H
