//  ************************************************************************************************
//
//  BornAgain: simulate and fit reflection and scattering
//
//! @file      GUI/View/Loader/DataLoader.h
//! @brief     Defines functions in namespace RW
//!
//! @homepage  http://www.bornagainproject.org
//! @license   GNU General Public License v3 or higher (see COPYING)
//! @copyright Forschungszentrum Jülich GmbH 2018
//! @authors   Scientific Computing Group at MLZ (see CITATION, AUTHORS)
//
//  ************************************************************************************************

#ifndef BORNAGAIN_GUI_VIEW_LOADER_DATALOADER_H
#define BORNAGAIN_GUI_VIEW_LOADER_DATALOADER_H

#include <vector>

class DatafileItem;

namespace RW {

std::vector<DatafileItem*> importData1D();
std::vector<DatafileItem*> importData2D();

} // namespace RW

#endif // BORNAGAIN_GUI_VIEW_LOADER_DATALOADER_H
