//  ************************************************************************************************
//
//  BornAgain: simulate and fit reflection and scattering
//
//! @file      GUI/View/Scene/OverlayStyle.h
//! @brief     Defines class GUI::Overlay.
//!
//! @homepage  http://www.bornagainproject.org
//! @license   GNU General Public License v3 or higher (see COPYING)
//! @copyright Forschungszentrum Jülich GmbH 2018
//! @authors   Scientific Computing Group at MLZ (see CITATION, AUTHORS)
//
//  ************************************************************************************************

#ifndef BORNAGAIN_GUI_VIEW_SCENE_OVERLAYFACTORY_H
#define BORNAGAIN_GUI_VIEW_SCENE_OVERLAYFACTORY_H

class ColorMap;
class IOverlay;
class OverlayItem;

namespace GUI::Overlay {

//! Factory to construct views out of MaskItems for MaskGraphicsScene
IOverlay* createOverlay(OverlayItem* item, ColorMap* plot);

} // namespace GUI::Overlay

#endif // BORNAGAIN_GUI_VIEW_SCENE_OVERLAYFACTORY_H
